For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Phone Numbers

Get Phone Number

GET
https://api.vapi.ai/phone-number/:id
GET
/phone-number/:id
$curl https://api.vapi.ai/phone-number/id \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "provider": "byo-phone-number",
3 "createdAt": "2024-01-15T09:30:00Z",
4 "credentialId": "string",
5 "id": "string",
6 "orgId": "string",
7 "updatedAt": "2024-01-15T09:30:00Z",
8 "assistantId": "string",
9 "fallbackDestination": {
10 "message": "string",
11 "type": "number",
12 "numberE164CheckEnabled": true,
13 "number": "string",
14 "extension": "string",
15 "callerId": "string",
16 "transferPlan": {
17 "mode": "blind-transfer",
18 "message": "string",
19 "timeout": 60,
20 "sipVerb": "refer",
21 "dialTimeout": 60,
22 "holdAudioUrl": "string",
23 "transferCompleteAudioUrl": "string",
24 "contextEngineeringPlan": {
25 "type": "lastNMessages",
26 "maxMessages": 1.1
27 },
28 "twiml": "string",
29 "summaryPlan": {
30 "messages": [
31 {}
32 ],
33 "enabled": true,
34 "timeoutSeconds": 1.1
35 },
36 "sipHeadersInReferToEnabled": true,
37 "fallbackPlan": {
38 "message": "string",
39 "endCallEnabled": true
40 }
41 },
42 "description": "string"
43 },
44 "hooks": [
45 {
46 "on": "call.ringing",
47 "filters": [
48 {
49 "type": "startsWith",
50 "key": "number",
51 "startsWith": [
52 "91",
53 "86",
54 "7"
55 ]
56 }
57 ],
58 "do": [
59 {
60 "type": "transfer",
61 "destination": {
62 "message": "string",
63 "type": "number",
64 "numberE164CheckEnabled": true,
65 "number": "string",
66 "extension": "string",
67 "callerId": "string",
68 "transferPlan": {
69 "mode": "blind-transfer",
70 "message": "string",
71 "timeout": 60,
72 "sipVerb": "refer",
73 "dialTimeout": 60,
74 "holdAudioUrl": "string",
75 "transferCompleteAudioUrl": "string",
76 "contextEngineeringPlan": {
77 "type": "lastNMessages",
78 "maxMessages": 1.1
79 },
80 "twiml": "string",
81 "summaryPlan": {
82 "messages": [
83 {}
84 ],
85 "enabled": true,
86 "timeoutSeconds": 1.1
87 },
88 "sipHeadersInReferToEnabled": true,
89 "fallbackPlan": {
90 "message": {},
91 "endCallEnabled": true
92 }
93 },
94 "description": "string"
95 }
96 }
97 ]
98 }
99 ],
100 "name": "string",
101 "number": "string",
102 "numberE164CheckEnabled": true,
103 "server": {
104 "timeoutSeconds": 20,
105 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
106 "staticIpAddressesEnabled": false,
107 "encryptedPaths": [
108 "string"
109 ],
110 "url": "string",
111 "headers": {},
112 "backoffPlan": {
113 "type": "fixed",
114 "maxRetries": 0,
115 "baseDelaySeconds": 1,
116 "excludedStatusCodes": [
117 400,
118 401,
119 403,
120 404
121 ]
122 }
123 },
124 "squadId": "string",
125 "status": "active",
126 "workflowId": "string"
127}
Was this page helpful?
Previous

Delete Phone Number

Next
Built with

Authentication

AuthorizationBearer

Retrieve your API Key from Dashboard.

Path parameters

idstringRequired

Response

byo-phone-numberobject
OR
twilioobject
OR
vonageobject
OR
vapiobject
OR
telnyxobject